﻿<!-- BattleForge Special Effect Editor -->
<!-- Copyright(C) 2022 Skylords Reborn -->
<!-- Project licensed under GNU General Public License v3.0. See LICENSE for more information. -->

<UserControl x:Class="BattleForgeEffectEditor.Application.View.ElementSettings.StaticDecalSettingsView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:vm="clr-namespace:BattleForgeEffectEditor.Application.ViewModel.ElementSettings" 
             d:DataContext="{d:DesignInstance Type=vm:StaticDecalSettingsViewModel}"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <ScrollViewer VerticalScrollBarVisibility="Auto">
            <ItemsControl>
                <Label Content="Name" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding Name, UpdateSourceTrigger=PropertyChanged}" />
                <Label Content="Color texture" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding ColorTextureFile, UpdateSourceTrigger=PropertyChanged}" />
                <Image StretchDirection="DownOnly"
                   Source="{Binding ColorTextureFile, Converter={StaticResource BfTextureConverter}}" />
                <Label Content="Normal texture" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding NormalTextureFile, UpdateSourceTrigger=PropertyChanged}" />
                <Image StretchDirection="DownOnly"
                   Source="{Binding NormalTextureFile, Converter={StaticResource BfTextureConverter}}" />
            </ItemsControl>
        </ScrollViewer>
    </Grid>
</UserControl>
